Bug 856504 - webadmin [GUIDE ME]: select host when creating a new cluster is only shown when the hosts are in Default DC
webadmin [GUIDE ME]: select host when creating a new cluster is only shown wh...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Alona Kaplan
Pavel Stehlik
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 03:42 EDT by Dafna Ron
Modified: 2016-02-10 14:37 EST (History)
9 users (show)

See Also:
Fixed In Version: si21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:05:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2012-09-12 03:42:36 EDT
Description of problem:

the select host button is only shown when the hosts are in Default DC when creating a new cluster. 

Version-Release number of selected component (if applicable):

si17

How reproducible:

100%

Steps to Reproduce:
1. create a DC + cluster in 3.0 and add the hosts to the new DC
2. go to cluster's tab -> create a new cluster
3. 
  
Actual results:

select host is not shown in the GUID ME dialogue

Expected results:

we should see the select host

Additional info:
Comment 2 Dafna Ron 2012-09-25 06:33:30 EDT
reproduces in si18.1

try this steps: 

1. create a DC/Cluster in 3.1 and add a host to the cluster 
2. put the host in maintenance
3. create a 3.0 DC and Cluster -> select the host 
4. create a new cluster -> only configure host will appears.
Comment 3 Alona Kaplan 2012-10-03 08:16:31 EDT
upstream- http://gerrit.ovirt.org/#/c/8327/
Comment 4 Alona Kaplan 2012-10-03 08:47:41 EDT
The bug is- if the host is configured in one of the dc's clusters. All the other clusters in the dc doesn't see that host in their guide me- select host.

The correct behaviour is that just the cluster that the host belongs to, shouldn't show the host. All the other cluster should show it.
Comment 5 Alona Kaplan 2012-10-03 11:05:05 EDT
fix for dc- guide me- http://gerrit.ovirt.org/#/c/8333/
(the previous was for cluster- guide me)
Comment 7 Pavel Stehlik 2012-10-19 13:17:49 EDT
ok - si21.1

Note You need to log in before you can comment on or make changes to this bug.